﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WPF_FileOpenDialog_Example
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            string string_uri = @"http://msdn.microsoft.com/en-us/library/aa969773.aspx";
            Uri uri = new Uri(string_uri, UriKind.RelativeOrAbsolute);
            try
            {
                wb1.Navigate(uri);
            }
            catch
            {
                MessageBox.Show("Could not access web site: " + string_uri);
            }
        }

        private void bnBrowse_Click(object sender, RoutedEventArgs e)
        {
            Microsoft.Win32.OpenFileDialog dlg = new Microsoft.Win32.OpenFileDialog();
            //^ The Microsoft.Win32 namespace contains the OpenFile, SaveFile, Print and other common dialogs
            //   For more information see: http://msdn.microsoft.com/en-us/library/aa969773.aspx
            dlg.DefaultExt = ".xml";
            dlg.Filter = "XML files (.xml)|*.xml";
            dlg.CheckFileExists = true;
            dlg.Title = "Open XML-format File";
            dlg.Multiselect = false;
            if (true == dlg.ShowDialog())
            {
                tbxXMLFileName.Text = dlg.FileName;
            }
            else
            {
                MessageBox.Show("Could not access file: " + tbxXMLFileName.Text);
            }
        }

        private void bnOK_Click(object sender, RoutedEventArgs e)
        {
            System.IO.File.WriteAllText(tbxXMLFileName.Text, tbxXMLContent.Text);
        }

        private void bnFileOpen_Click(object sender, RoutedEventArgs e)
        {
            if (0 == tbxXMLFileName.Text.Length)
            {
                MessageBox.Show("Please enter a filename!");
            }
            else
            {
                tbxXMLContent.Text = System.IO.File.ReadAllText(tbxXMLFileName.Text);
            }
        }
    }
}
